.file-uploader {
  width: 100%;
  display: flex;
  color: #000;
}

.upload-input,
.upload-button {
  display: block;
  font-style: normal;
  padding-top: 14px;
  padding-bottom: 14px;
}

.file-uploader input {
  display: none;
}

.upload-button {
  border: 1px solid var(--ui-black);
  border-top-left-radius: 4px;
  border-bottom-left-radius: 4px;
  padding-left: 16px;
  padding-right: 16px;
}

.upload-input {
  flex-grow: 1;
  text-align: left  ;
  padding-left: 16px;
  padding-right: 16px;
  border: 1px solid var(--ui-gray-light);
  border-left: none;
  border-top-right-radius: 4px;
  border-bottom-right-radius: 4px;
  color:var(--text-gray);
}

.upload-input.filled {
    color: var(--text-black);
}

.error .upload-input,
.error .upload-button{
 border-color: var(--ui-error);
 border-width: 2px;
 
}

.error-message {
    color: var(--text-error);
    padding-left: 16px;
    margin-top: 4px;
}